/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.swing;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Map;

import javax.swing.JSeparator;

/**
 * @author Karsten Klein
 *
 * @created May 14, 2001
 */
public class SeparatorModule extends StrategyModule {
    JSeparator jSeparator = new JSeparator();

    /**
     * Method description.
     *
     * @return Return description.
     */
    public Component getComponent() {
        return jSeparator;
    }

    /**
     * Method description.
     *
     * @param e Parameter description.
     */
    public void actionPerformed(ActionEvent e) {
    }

    /**
     * Method description.
     *
     * @param actionListener Parameter description.
     */
    public void addActionListener(ActionListener actionListener) {
    }

    /**
     * Method description.
     *
     * @param actionListener Parameter description.
     */
    public void removeActionListener(ActionListener actionListener) {
    }

    /**
     * Method description.
     */
    public void cleanup() {
    }

    /**
     * Method description.
     */
    public void update() {
        if (getComponent() != null) {
            getComponent().setVisible(checkVisible());
        }
    }

    /**
     * Method description.
     *
     * @param map Parameter description.
     */
    public void createReport(Map map) {

        // do nothing
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public String getName() {
        return "-";
    }
}
