/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Test for the whole org.srs3d.viewer package.
 *
 * @author Karsten Klein
 *
 * @created January 7, 2002
 */
public class AllTests extends TestCase {

    /**
     * Constructor description.
     *
     * @param name Parameter description.
     */
    public AllTests(String name) {
        super(name);
    }

    /**
     * Method description.
     *
     * @return Return description.
     */
    public static TestSuite suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(org.srs3d.viewer.objects.tests.StateTest.class);
        suite.addTestSuite(org.srs3d.viewer.objects.tests.StateManagerTest.class);

        //    suite.addTest( RuntimeTest.suite() );
        return suite;
    }
}
