/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.bioatlas.creators;

import javax.media.j3d.BranchGroup;

import org.srs3d.viewer.j3d.creators.AbstractGeometryCreator;
import org.srs3d.viewer.objects.AbstractObject;

/**
 * Special geometry creator implementation concentrating on <code>Chain</code> objects.
 *
 * @author Karsten Klein
 *
 * @created March 20, 2001
 */
public class ChainGeometryCreator extends AbstractGeometryCreator {

    /**
     * Method description.
     *
     * @param object Parameter description.
     * @param branchGroup Parameter description.
     */
    public void create(AbstractObject object, BranchGroup branchGroup) {

        // do nothing, since the chain has no own geometry
    }
}
