/** 
 *    Part of SRS 3D, a system for viewing macromolecules (http://srs3d.org)
 *    
 *    Copyright (C) 2007-2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 */

package org.srs3d.viewer.integration.interfaces;


/**
 * Common interface for all DataProvider implementations. The DataProvider interface
 * defines the client side business logic methods. The component controller implements
 * the interface and delegates all calls to the business logic methods of a class that
 * implements the interface and calls for example a session bean to retieve data.
 *
 * @author Karsten Klein
 *
 * @created September 12, 2002
 */
public interface DataProvider {
}
